dofile( XLCurPath().."Message.lua" )

function OnMainWndPaint( obj, wParm, lParam )
	XLDrawPicture( obj, 0, 0, 30, 50, XLCurPath().."top-left.png" );
	XLDrawPicture( obj, 30, 0, 87, 50, XLCurPath().."logo.png" );
	
	windowWidth = XLGetWindowRectWidth( obj );
	windowHeight = XLGetWindowRectHeight( obj );

	XLDrawPicture( obj, 117, 0, windowWidth / 2 -272, 50, XLCurPath().."top-left-fill.png" );
	XLDrawPicture( obj, windowWidth / 2 - 155, 0, 310, 50, XLCurPath().."top-mid.png" );
	XLDrawPicture( obj, windowWidth / 2 + 155, 0, windowWidth / 2 - 155 - 29, 50, XLCurPath().."top-right-fill.png" );
	XLDrawPicture( obj, windowWidth - 29, 0, 29, 50, XLCurPath().."top-right.png" );
	
	XLDrawPicture( obj, 0, 50, 26,windowHeight - 77, XLCurPath().."left.png" );
	XLDrawPicture( obj, 0, windowHeight - 27, 26, 27, XLCurPath().."bottom-left.png" );

	XLDrawPicture( obj, windowWidth - 26, 50, 26, windowHeight - 77, XLCurPath().."right.png" );

	XLDrawPicture( obj, 26, windowHeight - 27, windowWidth - 52, 27, XLCurPath().."bottom-mid.png" );
	XLDrawPicture( obj, windowWidth - 26, windowHeight - 27, 26, 27, XLCurPath().."bottom-right.png" );

end

function OnDecratedWindowSize( obj, wParam, lParam )
	windowleft = XLGetWindowLeft( lParam );
	windowtop = XLGetWindowTop( lParam );
	windowWidth = XLGetWindowWidth( lParam );
	windowHeight = XLGetWindowHeight( lParam );
	
	left = windowleft - 26;
	top = windowtop - 50;
	Width = windowWidth + 26 + 26;
	Height = windowHeight + 27 + 50;
	
	XLOutputString( "SkinDecorateWindow("..tostring( left )..","..tostring( top ) );
	XLSetRect( obj, left, top, Width, Height );
	XLMoveWindow( lParam, left + 26, top + 50, windowWidth, windowHeight );
	
	id = XLGetWindowElement( obj, "close" );
	XLSetRect( id, Width - 62, 27, 24, 17 );
	
	miniid = XLGetWindowElement( obj, "minimize" );
	XLSetRect( miniid, Width - 92, 27, 24, 17 );
	
	XLSetTransparentRect( obj, 26, 50, windowWidth, windowHeight );
end

function OnCloseMouseMove( obj, wParam, lParam )
	if XLIsCapture( obj ) == 1 then
		if XLIsMouseInRect( obj ) == 1 then
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."close-click.png" );
		else
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."Close-hover.png" );
		end
	else
		if XLIsMouseInRect( obj ) == 1 then
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."Close-hover.png" );
		else
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."Close-normal.png" );
		end
	end
end

function OnCloseLMouseButtonDown( obj, wParam, lParam )
	XLSetCapture( obj );
	XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."close-click.png" );
end

function OnClosePaint( obj, wParam, lParam )
	XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."close-normal.png" );
end

function OnCloseLMouseButtonUp( obj, wParam, lParam )
	if XLIsMouseInRect( obj ) == 1 then
		XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."close-hover.png" );
	else	
		XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."close-normal.png" );
	end
end

function OnMinimizeMouseMove( obj, wParam, lParam )
	if XLIsCapture( obj ) == 1 then
		if XLIsMouseInRect( obj ) == 1 then
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-click.png" );
		else
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-hover.png" );
		end
	else
		if XLIsMouseInRect( obj ) == 1 then
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-hover.png" );
		else
			XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-normal.png" );
		end
	end
end

function OnMinimizeLMouseButtonDown( obj, wParam, lParam )
	XLSetCapture( obj );
	XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-click.png" );
end

function OnMinimizePaint( obj, wParam, lParam )
	XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-normal.png" );
end

function OnMinimizeLMouseButtonUp( obj, wParam, lParam )
	if XLIsMouseInRect( obj ) == 1 then
		XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-hover.png" );
	else
		XLDrawPictureNoCoverAlpha( obj, 0, 0, 24, 17, XLCurPath().."mini-normal.png" );
	end
end

function OnInitSkin( obj, wParam, lParam )
	XLSetCanDrag( obj );
	XLSetLayerWindow( obj );
end

MainWndID = XLRegisterWindow( "XLTipsMainWnd" );
XLRegisterMessage( MainWndID, WM_PAINT, "OnMainWndPaint" );
XLRegisterMessage( MainWndID, WM_DECORATEDWINDOWSIZE, "OnDecratedWindowSize" );
XLRegisterMessage( MainWndID, WM_INITSKIN, "OnInitSkin" );

CloseID = XLRegisterWindowElement( MainWndID, "close", 0, 0, 1, 1, SC_CLOSE );
MiniID = XLRegisterWindowElement( MainWndID, "minimize", 0, 0, 1, 1, SC_MINIMIZE );
XLRegisterElementMessage( CloseID, WM_PAINT, "OnClosePaint" );
XLRegisterElementMessage( CloseID, WM_MOUSEMOVE, "OnCloseMouseMove" );
XLRegisterElementMessage( CloseID, WM_LBUTTONDOWN, "OnCloseLMouseButtonDown" );
XLRegisterElementMessage( CloseID, WM_LBUTTONUP, "OnCloseLMouseButtonUp" );
XLRegisterElementMessage( MiniID, WM_PAINT, "OnMinimizePaint" );
XLRegisterElementMessage( MiniID, WM_MOUSEMOVE, "OnMinimizeMouseMove" );
XLRegisterElementMessage( MiniID, WM_LBUTTONDOWN, "OnMinimizeLMouseButtonDown" );
XLRegisterElementMessage( MiniID, WM_LBUTTONUP, "OnMinimizeLMouseButtonUp" );
	
XLSkinDecorateWindow( "XLTipsMainWnd", "XLTipsWnd" );
