var g_arrMainTypes = new Array;
var g_arrTypeOrder = new Array;
var g_arrRecommend = new Array;

var g_sIconBase16 = "/pic/16_";
var g_sIconBase32 = "/pic/32_";
var g_sIconBase = g_sIconBase16;
var g_sXmlDir = "../DrData/"

var g_arrOSTypes = ["2000","XP","2003","VISTA"];
var g_arrLanguage = ["İ","İ","Ӣİ",""];
var g_arrAuthorized = ["Ѱ","","ð",""];

var g_arrSoftClubSummary = new Array;
var g_arrSoftGougouInfo = new Array;

var g_TimeOut  = 500; //ms
var g_TimeInterval = 50;
var g_MouseStopTime = 0;

var g_DelayID;

var g_LastEventIndex = -1;
var g_LastEventVer   = -1;

var g_MouseX = 0;
var g_MouseY = 0;

var g_CallBackFun;

function GetLanguage(iLanguage)
{
//	alert("iLanguage="+iLanguage);
	var sLanguage;
	sLanguage = g_arrLanguage[iLanguage];
	if(!sLanguage || sLanguage=="undefined")
	{
		sLanguage="";
	}
	return sLanguage;
}

function GetAuthorized(iAuthorized)
{
//	alert("iAuthorized="+iAuthorized);
	var sAuthorized;
	sAuthorized = g_arrAuthorized[iAuthorized];
	if(!sAuthorized || sAuthorized=="undefined")
	{
		sAuthorized="";
	}
	return sAuthorized;
}

function GetOSType(iOSType)
{
//	alert("iOSType="+iOSType);
	var sOSType;
	var ifirst = 1;
	for(var i = 0; i < g_arrOSTypes.length ; i ++)
	{
		var osnum = Math.pow(2,i);
		if((parseInt(iOSType,10) & parseInt(osnum,10)) > 0)
		{
			if(ifirst == 1)
			{
				sOSType = g_arrOSTypes[i];
				ifirst = 0;
			}
			else	
			{
				sOSType += "/" + g_arrOSTypes[i];
			}
		}
	}
//	alert("sOSType="+sOSType);
	return sOSType;
}

function GetSystemOSType()
{
	var ver;
	if(typeof(external) != "undefined" && typeof(external.GetOsVersion) != "undefined")
	{
		ver = external.GetOsVersion();
		if(ver.match(/^5 0 /))
			return "2000";
		else if(ver.match(/^5 1 /))
			return "XP";
		else if(ver.match(/^5 2 /))
			return "2003";
		else if(ver.match(/^6 /))
			return "VISTA";
		else
			return ""
	}
	else
		return "";
}

function  CSoftInfo(index)
{
	this.Index       = index;
	this.DisplayName = "";
	this.Name        = "";
	this.Desc        = "";
	this.MainType    = "";
	this.Company     = "";
	this.CompanyUrl  = "";
	this.Recommend   = -1;
	this.Status      = 0;
	this.Selected    = false;	// add д
	this.TypeIndex   = -1;		// add д
	this.OneKey      = -1;
	this.Popularity  = -1;
	this.CurrentVer  = "";
	this.VersionInfo = new Array;
	this.VersionInfo[0] = new CVersionInfo();
	this.VersionInfo[1] = new CVersionInfo();
	
	this.TotalJudgeofMark	 	= 0;
	this.TotalJudgeofTimes 	= 0;
	this.TotalDownloadTimes	= 0;
	this.DownTimes	= 0;
	this.ClubCount				= 0;
	this.Clubs				= new Array;
	this.Gougou       = new Array;
	
	this.fileName    = "";
}

function CVersionInfo()
{
	this.Value       = "";
	this.DisplayVer  = "";
	this.CID         = "";
	this.Size        = 0;
	this.IsLast      = "";
	this.VerAttrib   = "";
	this.Whatsnew    = "";
	this.URL         = "";
	this.RegKey      = "";
	this.Plugin      = 0;
	this.SetupCmd    = "";
	this.Authorized  = "";
	this.Language    = "";
	this.OSType      = "";
	this.Publishday  = "";
	this.Extension   = "EXE";
}

function CClubInfo()
{
	this.id	   = "";
	this.title = "";
}

function GetTypeIndex(info)
{
	iType = info.TypeIndex;
	if(g_arrSoftTable[iType]==undefined)
		g_arrSoftTable[iType] = new CSoftTypeInfo;
	return info.TypeIndex;
}

function InitClubStringInfo(sXmlText)
{
	var xmlDoc, index;
	xmlDoc = InitXml();
	
	LoadStringXml(xmlDoc, sXmlText);
	GetXmlClubInfo(xmlDoc);
}

function InitClubInfo(sXml)
{
	var xmlDoc, index;
	xmlDoc = InitXml();
	
	LoadXml(xmlDoc, sXml);
	GetXmlClubInfo(xmlDoc);
}

function GetXmlClubInfo(xmlDoc)
{
	var currNode = xmlDoc.documentElement.childNodes[0];
	var node, nodeTmp;

	node = xmlDoc.documentElement.selectSingleNode("//softbaike");
	for(var i = 0; i < node.childNodes.length; ++i)
	{
		currNode = node.childNodes[i];
		if (currNode.nodeName.substr(0, "club".length) == "club")
		{
			var post_num = currNode.getAttribute("post_num");
			var softwarename;
			var clubs = new Array;
			for(var j = 0; j < currNode.childNodes.length; ++j)
			{
				switch(currNode.childNodes[j].nodeName)
				{
				case "club_name":
					softwarename = currNode.childNodes[j].text;
					break;
				case "post":
					nodeTmp = currNode.childNodes[j];
					var info  = new CClubInfo();
					info.id      = nodeTmp.getAttribute("post_id");
					for(var k = 0; k < nodeTmp.childNodes.length; ++k)
					{
						switch(nodeTmp.childNodes[k].nodeName)
						{
						case "post_title":
							info.title = nodeTmp.childNodes[k].text;
							break;
						}
					}
					clubs.push(info);
					break;
				}
			}
			clubs.post_num = post_num;
			g_arrSoftClubSummary [softwarename] = clubs;
		}
	}
}

function InitXml()
{
	xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
	xmlDoc.async = false;
	return xmlDoc;
}

function LoadStringXml(xmlDoc, sXmlText)
{
	xmlDoc.loadXML(sXmlText);
	if (xmlDoc.parseError.errorCode != 0)
	{
		//  XML ļ
		var err = xmlDoc.parseError;
		//alert("You have error " + err.reason);
	}
	xmlDoc.setProperty("SelectionLanguage", "XPath");
}

function LoadXml(xmlDoc, sXml)
{
	xmlDoc.load(sXml);
	if (xmlDoc.parseError.errorCode != 0)
	{
		//  XML ļ
		var err = xmlDoc.parseError;
		//alert("You have error " + err.reason);
	}
	xmlDoc.setProperty("SelectionLanguage", "XPath");
}

// Ҫݵ AddSoft(info) 
function GetXmlSoftInfo(xmlDoc, funcAddSoft, index0)
{
	var currNode = xmlDoc.documentElement.childNodes[0];
	var index = index0;
	var iType;
	var node, nodeTmp;

	node = xmlDoc.documentElement.selectSingleNode("//bibei/main_type_list");
	for(var k = 0; k < node.childNodes.length; ++k)
	{
		if(node.childNodes[k].nodeName == "type")
		{
			nodeTmp = node.childNodes[k];
			iType = nodeTmp.getAttribute("id");
			g_arrTypeOrder[k] = iType;
			g_arrRecommend[iType] = "";
			for(var l = 0; l < nodeTmp.childNodes.length; ++l)
			{
				if(nodeTmp.childNodes[l].nodeName == "name")
					g_arrMainTypes[iType] = nodeTmp.childNodes[l].text;
				else if(nodeTmp.childNodes[l].nodeName == "recommend")
					g_arrRecommend[iType] = nodeTmp.childNodes[l].text;
			}
		}
	}


	node = xmlDoc.documentElement.selectSingleNode("//bibei/software_list");
	for(var i = 0; i < node.childNodes.length; ++i)
	{
		currNode = node.childNodes[i];
		if (currNode.nodeName.substr(0, "software".length) == "software")
		{
			// 
			++index;

			var  info = new CSoftInfo(index);
			info.ID         = currNode.getAttribute("id");
			info.TypeIndex  = currNode.getAttribute("main_type");
			info.MainType   = g_arrMainTypes[info.TypeIndex];
			info.Recommend  = currNode.getAttribute("is_main_recommend");
			info.OneKey     = currNode.getAttribute("is_onekey_install");
			info.Popularity = currNode.getAttribute("is_popularity");
			info.TotalJudgeofMark = total = currNode.getAttribute("totaljudgeofmark");
			info.TotalJudgeofTimes = times = currNode.getAttribute("totaljudgeoftimes");
			info.TotalDownloadTimes = currNode.getAttribute("totaldownloadtimes");
			info.DownTimes = info.TotalDownloadTimes;
			if(times == 0)
				info.EvalMark = "7.0";
			else
			{
				var dig1  = parseInt(total / times, 10);
				var dig2  = parseInt((total / times - dig1) * 10, 10);
				info.EvalMark = dig1 + "." + dig2;
			}

			for(var j = 0; j < currNode.childNodes.length; ++j)
			{
				switch(currNode.childNodes[j].nodeName)
				{
				case "name":
					info.Name = currNode.childNodes[j].text;
					break;
				case "displayname":
					info.DisplayName = currNode.childNodes[j].text;
					break;
				case "pic":
					info.Pic = currNode.childNodes[j].text;
					break;
				case "description":
					info.Desc = currNode.childNodes[j].text;
					break;
				case "co_url":
					info.CompanyUrl = currNode.childNodes[j].text;
					break;
				case "company":
					info.Company = currNode.childNodes[j].text;
					break;
				case "version":
					nodeTmp = currNode.childNodes[j];
//					if(1 * nodeTmp.getAttribute("is_last") == 0)
//						break;
					var att = nodeTmp.getAttribute("ver_attribute");
					if(info.VersionInfo[att].Value != "" && VersionCompare(info.VersionInfo[att].Value,  nodeTmp.getAttribute("version")) == 1)
						break;
					info.VersionInfo[att].Value      = nodeTmp.getAttribute("version");
					info.VersionInfo[att].DisplayVer = nodeTmp.getAttribute("displayver");
					info.VersionInfo[att].CID        = nodeTmp.getAttribute("contentid");
					info.VersionInfo[att].Size       = nodeTmp.getAttribute("filesize");
					info.VersionInfo[att].IsLast     = 1;
					info.VersionInfo[att].VerAttrib  = att;
					
					var iAuthorized = nodeTmp.getAttribute("authorized");
					var iLanguage   = nodeTmp.getAttribute("language");
					var iOSType     = nodeTmp.getAttribute("ostype");
					info.VersionInfo[att].Authorized = GetAuthorized(iAuthorized);
					info.VersionInfo[att].Language   = GetLanguage(iLanguage);
					info.VersionInfo[att].OSType     = GetOSType(iOSType);
					
					for(var k = 0; k < nodeTmp.childNodes.length; ++k)
					{
						switch(nodeTmp.childNodes[k].nodeName)
						{
						case "whatsnew":
							info.VersionInfo[att].Whatsnew = nodeTmp.childNodes[k].text;
							break;
						case "fileurl":
							info.VersionInfo[att].URL = nodeTmp.childNodes[k].text;
							break;
						case "regkey":
							info.VersionInfo[att].RegKey = nodeTmp.childNodes[k].text;
							break;
						case "plugin":
							info.VersionInfo[att].Plugin = nodeTmp.childNodes[k].text;
							break;
						case "setupcmd":
							info.VersionInfo[att].SetupCmd = nodeTmp.childNodes[k].text;
							break;
						case "publishday":
							info.VersionInfo[att].Publishday = nodeTmp.childNodes[k].text;
							break;
						case "extension":
							var tmp = nodeTmp.childNodes[k].text.toUpperCase();
							if(tmp == "")
								break;
							info.VersionInfo[att].Extension = tmp;
							break;
						}
					}
					break;
				}
			}
			//̳Ϣ
			if(g_arrSoftClubSummary)
			{
				var clubinfo = g_arrSoftClubSummary[info.Name];
				if(clubinfo != undefined)
				{
					for(var m = 0; m < clubinfo.length;m ++)
					{
						if(clubinfo[m])
						{
							info.Clubs.push(clubinfo[m]);
						}
					}
				}
			}
			//Ϣ
			if(g_arrSoftGougouInfo)
			{
				var gougouinfo = g_arrSoftGougouInfo[info.Name];
				if(gougouinfo != undefined)
				{
					for(var m = 0; m < gougouinfo.length;m ++)
					{
						if(gougouinfo[m])
						{
							info.Gougou.push(gougouinfo[m]);
						}
					}
				}
			}
			// ʱ̶ֻ˷
			//if(info.Popularity == 0)
			//	continue;
			try
			{
				var s = external.GetSoftInstallStatus(info.Name);

				var ii = parseInt(s,10);
				if(ii == 1)
					ii = 2;
				info.Status = ii;
				if(ii == 2)
				{
					s = s.replace(/^[0-9]+ +/, "");
					ii = parseInt(s,10);
					if(ii == 0)
						info.CurrentVer = "_";
					else
					{
						s = s.replace(/^[0-9]+ +/, "");
						info.CurrentVer = s.substr(0, ii);
					}
				}
				else
					info.CurrentVer = "_";
			}
			catch(err)
			{
				info.Status = (index % 3);
				if(index % 2 == 0)
					info.CurrentVer = "_";
				else
					info.CurrentVer = "";
			}
			funcAddSoft(info);
		}
	}
	return index;
}

function AddInstall(info, ver)
{
	if(!ver)
		ver = 0;
	if(ver == 0 && info.VersionInfo[ver].Value == "")
		ver = 1;
	if(info.VersionInfo[ver].Plugin != 0)
		if(!confirm("" + info.DisplayName + " " + info.VersionInfo[ver].DisplayVer + "С" + info.VersionInfo[ver].Plugin + "ڰװעѡ"))
			return false;
	var name = /*(info.DisplayName != "")? info.DisplayName:*/ info.Name;
	if(info.VersionInfo[ver].Authorized  != "Ѱ" || info.VersionInfo[ver].Language != "İ")
	{
		var msg = "ѡ[ "+name+" ]Ϊ[";
		if(info.VersionInfo[ver].Language != "İ")
		{
			msg += " "+info.VersionInfo[ver].Language+" ";
		}
		if(info.VersionInfo[ver].Authorized  != "Ѱ")
		{
			msg += " "+info.VersionInfo[ver].Authorized+" ";
		}
		msg += "]Ƿأ";
		if(!confirm(msg))
		{
			return false;
		}
	}
	if(info.VersionInfo[ver].OSType.indexOf(GetSystemOSType()) == -1)
	{
		if(!confirm("" + info.DisplayName + " " + info.VersionInfo[ver].DisplayVer + "֧" + info.VersionInfo[ver].OSType + "ϵͳ֧ܲϵͳǷҪأ"))
			return false;
	}
	try
	{
		if(info.VersionInfo[ver].URL != "")
		{
			external.AddDownInfo(info.Index, "DisplayName", name);
			external.AddDownInfo(info.Index, "Version",     info.VersionInfo[ver].Value);
			external.AddDownInfo(info.Index, "size",        t_filesize(info.VersionInfo[ver].Size));	// д
			external.AddDownInfo(info.Index, "URL",         info.VersionInfo[ver].URL);
		}
		else
		{
			alert("Ϣ޷ء");
			return false;
		}
	}
	catch(err)
	{
		return false;
	}
	return true;
}

function StartInstall()
{
	try
	{
		external.StartDown();
	}
	catch(err)
	{
		alert("ֻ֧Ѹװرͻаװ");
	}
}

function InstallSoft(info, ver)
{
	if(!ver)
		ver = 0;
	if(AddInstall(info, ver))
		StartInstall();
}

function t_filesize(i_filesize)
{
    var s_filesize;
    if(parseInt(i_filesize,10) > 1024)
    {
        if(parseInt(i_filesize,10) > 1024*1024)
        {
            s_filesize = Math.round(parseInt(i_filesize/1024/1024),10)+"MB";
        }
        else
        {
            s_filesize = Math.round(parseInt(i_filesize/1024),10)+"KB";
        }
    }
    else
    {
        s_filesize = "δ֪ļС";
    }
    return s_filesize;
}

function VersionCompare(sVer1, sVer2)
{
	if(sVer1 == "_")
		return -2;
	if(sVer1 == "")
		return -1;
	else if(sVer2 == "")
		return 1;

	a1 = sVer1.split(".");
	a2 = sVer2.split(".");

	var len;

	if(a1.length < a2.length)
		len = a2.length;
	else
		len = a1.length;

	for(var i = 0; i < len; ++i)
	{
		if(a1[i] == undefined)
			a1[i] = 0;
		else if(a2[i] == undefined)
			a2[i] = 0;

		if(parseInt(a1[i],10) - parseInt(a2[i],10) < 0)
			return -1;
		else if(parseInt(a1[i],10) - parseInt(a2[i],10) > 0)
			return 1;
	}
	return 0;
}

function CommonLoad()
{
	if(typeof(external) != "undefined" && typeof(external.GetDrThunderVersion) != "undefined")
	{
		document.body.onselectstart = document.body.oncontextmenu = function()
		{
			if(event.srcElement.tagName == "INPUT" && 
				(event.srcElement.type == "text" || event.srcElement.type == "password") || 
			   event.srcElement.tagName == "TEXTAREA")
			{
				return true;
			}
			else
				return false;
		}
		document.body.style.cursor = "default";
	}
}

var g_bWinDraging = false;
function MoveWin(title, win, cx, cy, scrollParent)
{
	var x, y;
	if(!win)
		var win = title.parentNode;
	if(!cx)
		var cx = parseInt(win.style.width, 10);
	if(!cy)
		var cy = parseInt(win.style.height, 10);
	if(!scrollParent)
		var scrollParent = document.body;

	var GetEvent = new Function('e','if(!e)e = window.event; return e;')
	
	title.style.cursor = "move";
	title.onselectstart = function(e){return false;}
	title.onmousedown = function(e)
	{
		g_bWinDraging = true;
		with(win)
		{
			style.position = "absolute";
			var tmpLeft = offsetLeft;
			var tmpTop  = offsetTop;
			x = GetEvent(e).clientX;
			y = GetEvent(e).clientY;
			document.onmousemove=function(e)
			{
				if(!g_bWinDraging)
					return false;
				var MARGIN = 5;
				if(GetEvent(e).clientX <= MARGIN || GetEvent(e).clientX >= document.body.clientWidth  - MARGIN ||
				   GetEvent(e).clientY <= MARGIN || GetEvent(e).clientY >= document.body.clientHeight - MARGIN)
				{
					g_bWinDraging = false;
					return false;
				}
				var _left, _top;
				with(win)
				{
					_left = tmpLeft + GetEvent(e).clientX - x;
					_top  = tmpTop  + GetEvent(e).clientY - y;

					minLeft = scrollParent.scrollLeft + document.body.offsetLeft + MARGIN;
					maxLeft = scrollParent.scrollLeft + document.body.clientWidth - MARGIN - cx;
					minTop  = scrollParent.scrollTop  + document.body.offsetTop + MARGIN;
					maxTop  = scrollParent.scrollTop  + document.body.clientHeight - MARGIN - cy;
					//window.status = minLeft + "," + minTop + " | " + maxLeft + "," + maxTop + "---" + cx;
					//window.status = GetEvent(e).clientY  + " | " +  document.body.clientHeight;

					if     (_left < minLeft)
						_left = minLeft;
					else if(_left > maxLeft)
						_left = maxLeft;
					if     (_top < minTop)
						_top = minTop;
					else if(_top > maxTop)
						_top = maxTop;

					style.left = _left + "px";
					style.top  = _top  + "px";
				}
			}
		}
		document.onmouseup = new Function("g_bWinDraging = false;");
	}
}

function TimeOutCheck()
{
	if(g_MouseStopTime > g_TimeOut)
	{
		if(g_LastEventVer != -1 && g_LastEventIndex != -1)
		{
			if(g_CallBackFun)
			{
				g_CallBackFun(g_LastEventIndex,g_LastEventVer,g_MouseX,g_MouseY);
			}
		}
		ResetEvent();
	}
	else
	{
		g_MouseStopTime += g_TimeInterval;
	}
}

function ResetEvent()
{
	g_MouseStopTime = 0;
	g_LastEventIndex = -1;
	g_LastEventVer = -1;
}

function StartCheckTimeOut()
{
	ResetEvent();
	g_DelayID = setInterval("TimeOutCheck()",g_TimeInterval);
}

function StopCheckTimeOut()
{
	clearTimeout(g_DelayID);
}

function Set_TimeOut(time)
{
	if(time > 0)
	{
		g_TimeOut = time;
	}
}

function SetMouse(cx,cy)
{
	g_MouseX = cx;
	g_MouseY = cy;
}

function AddPosForMouse(softindex,ver,callbackfun)
{
	StopCheckTimeOut();
	StartCheckTimeOut();
	g_LastEventIndex = softindex;
	g_LastEventVer   = ver;
	g_CallBackFun = callbackfun;
	
}

function t_avgmark(mark,times)
{
	if(times == 0)
	{
		return 7;
	}
	return Math.round((mark/times)*10)/10;
}


//ҳ½ҳչʾ
function CNewsInfo()
{
	this.newsposition = 0;
	this.strong = 0;
	this.bignews = 0;
	this.img = "";
	this.title = "";
	this.link  = "";
	this.desc = "";
}

function GetXmlNewsInfo(xmlDoc, funcAddNews)
{
	var currNode = xmlDoc.documentElement.childNodes[0];
	var node, nodeTmp;

	node = xmlDoc.documentElement.selectSingleNode("//bibei");
	for(var i = 0; i < node.childNodes.length; ++i)
	{
		var info = new CNewsInfo();
		currNode = node.childNodes[i];
		if (currNode.nodeName.substr(0, "news".length) == "news")
		{
			info.newsposition = currNode.getAttribute("newsposition");
			info.strong = currNode.getAttribute("strong");
			info.bignews = currNode.getAttribute("bignews");
		for(var j = 0; j < currNode.childNodes.length; ++j)
			{
				switch(currNode.childNodes[j].nodeName)
				{
				case "img":
					info.img = currNode.childNodes[j].text;
					break;
				case "title":
					info.title = currNode.childNodes[j].text;
					break;
				case "link":
					info.link = currNode.childNodes[j].text;
					break;
				case "desc":
					info.desc = currNode.childNodes[j].text;
					break;
				}
			}
			funcAddNews(info);
		}
	}
}

function getjumpurl(URL)
{
	if(typeof(external) == "undefined" || typeof(external.GetJumpKey) == "undefined")
		return URL;
	var jumpkey = external.GetJumpKey();
	if(jumpkey == "")
		return URL;
	var jumpurl = "http://jump.xunlei.com/jump/?jump_key="+jumpkey+"&u1="+URL;
	return jumpurl;
}

function GetUrlParam(sParam, sSearch)
{
	if(arguments.length < 2)
		return location.search.replace(new RegExp("^.*[&\?]" + sParam + "="), "").replace(/&.*$/, "");
	else
		return sSearch.replace(new RegExp("^.*[&\?]" + sParam + "="), "").replace(/&.*$/, "");
}

function GetPic(pic,size)
{
	var stmp = "";
	if(size == 0)
	{
		stmp = "";
	}
	else if(size > 0)
	{
		stmp = size + "_"
	}
	else
	{
		return "";
	}
	var picurl = "http://svr1.bibei.xunlei.com/pic/"+ stmp + pic;
	var localpic = "Components\\XLSoftBase\\web\\ico\\"+ stmp + pic;
	try
	{
		var ret = external.GetIconStatus(localpic, picurl);
		if(ret != 0)
		{
			localpic="../ico/"+ stmp + pic;
		}
		else
		{
			localpic=picurl;
		}
	}
	catch(err)
	{
		localpic="../ico/" + stmp + "Thunder5.gif";
	}
//	alert(localpic);
	return localpic;
}

function ClearArray(ss)
{
	while(ss.length > 0)
	{
		ss.pop();
	}
}

function showlaybox(softindex)
{
	var info = g_arrSoftList[softindex];
	var URL = "http://pingjia.xunlei.com/soft_home.html?s="+info.Name;
	var jumpurl = getjumpurl(URL);
	var localpic = GetPic(info.Pic,32);
	
	var newver = 0;
	var v0 = info.VersionInfo[0].Value;
	var v1 = info.VersionInfo[1].Value;
	if(v0 == "" && v1 == "")
	{
		return;
	}
	if(v0 == "")
	{
		newver = 1;
	}

	var stipHtml = "<div class=\"ir\"><div class=\"Larea\">";
	stipHtml += "<h2><img src=\""+localpic+"\" />"+info.DisplayName+"</h2><ul class=\"info\">";
	stipHtml += "<li class=\"first\"><span></span><p>"+info.MainType+"</p></li>";
	stipHtml += "<li><span>  </span><p>"+info.TotalDownloadTimes+"</p></li>";
	stipHtml += "<li><span>飺</span><p class=\"pmore\">"+info.Desc+"</p></li>";
	stipHtml += "<li><span>ٷվ</span><p><a target=\"_blank\" href=\""+info.CompanyUrl+"\">"+info.Company+"</a></p></li>";
	stipHtml += "<li><span>ûۣ</span><p class=\"fred\"><strong>"+t_avgmark(info.TotalJudgeofMark,info.TotalJudgeofTimes)+"</strong></p></li></ul>";
	stipHtml += "<dl class=\"other\"><dt>:<a href=\""+jumpurl+"\" target=\"_blank\" title=\"\" class=\"a-more\">&gt;&gt;</a></dt>";
	var num = info.Clubs.length;
	if(info.Clubs.length > 2)
	{
		num = 2;
	}
	for(var i = 0; i < num; i ++)
	{
		var URL = "http://pingjia.xunlei.com/soft_post_content.html?s="+info.Name+"&id="+info.Clubs[i].id;
		stipHtml += "<dd><a target=\"_blank\" href=\""+URL+"\">"+info.Clubs[i].title+"</a></dd>";
	}
	stipHtml += "</dl></div>";
	stipHtml += "<div class=\"Rarea\"><h2>ٷ°棺 <span>"+info.VersionInfo[newver].DisplayVer+"</span></h2><ul class=\"info\"><li class=\"first\"><span>ԣ</span><p>"+info.VersionInfo[newver].Language+"</p><span>С</span><p>"+t_filesize(info.VersionInfo[newver].Size)+"</p></li>";

	stipHtml += "<li ><span>ϵͳ</span><p>"+info.VersionInfo[newver].OSType+"</p></li>";
  stipHtml += "<li><span>£</span><p class=\"pmore\">"+info.VersionInfo[newver].Whatsnew+"</p></li>";

  if(info.VersionInfo[newver].Plugin == "0")
  {
		stipHtml += "<li class=\"clew\"><span class=\"s1\">޲</span><span class=\"s1\">޲</span></li>";
	}
	else
	{
		stipHtml += "<li class=\"clew\"><span class=\"s1\">޲</span><span class=\"s2\" title=\""+info.VersionInfo[newver].Plugin+"\">в</span></li>";
	}
  stipHtml += "<li onclick=\"Install(" + info.Index + ", " + newver + "); closelaybox();return false;\" title=\"\" class=\"btns\"><button name=\"\"></button></li></ul>";
//  stipHtml += "<dl class=\"other\"><dt>汾<a onclick=\"gotogougou('"+info.Name+"');\" href=\"#\" class=\"a-more\">&gt;&gt;</a></dt>";
	stipHtml += "<dl class=\"other\"><dt>:</dt>";
	var URL = "http://soft.gougou.com/search?search="+info.Name;
	stipHtml += "<dd style=\"margin-top:10px;background:none;\"><p align=\"center\"><a target=\"_blank\" href=\""+URL+"\">汾>></a></p></dd>";
/*  
  num = info.Gougou.length;
	if(info.Gougou.length > 2)
	{
		num = 2;
	}
	for(var i = 0; i < num; i ++)
	{
		var URL = "http://content.gougou.com/content?cid="+info.Gougou[i].cid;
		stipHtml += "<dd><p><a target=\"_blank\" href=\""+URL+"\">"+info.Gougou[i].name+"</a></p><a onclick=\"InstallByCID('"+info.Gougou[i].name+"','"+info.Gougou[i].name+"','"+info.Gougou[i].type+"','"+info.Gougou[i].size+"','"+info.Gougou[i].cid+"');closelaybox();\" href=\"#\" class=\"a-down\"></a></dd>";
	}
*/
  stipHtml += "</div><a onclick=\"closelaybox();\" href=\"#\" class=\"a-close\">ر</a></div>";
//	window.clipboardData.setData("Text",stipHtml); 
  laybox.innerHTML = stipHtml;
	laybox.style.top = 100;
  
  divCover.style.display = divBase.style.display = laybox.style.display = "block";
  laybox.style.zIndex = "501";
}

function closelaybox()
{
	divCover.style.display = divBase.style.display = laybox.style.display = "none";
}

function gotogougou(sName)
{
	try
	{
		external.SetTabSel("SoftInstall", "SoftInstall_Search http://safe.gougou.com/safe/gougou_soft?keyword=" + encodeURIComponent(sName));
	}
	catch(err)
	{
	}
}

function GougouInfo()
{
	this.name = "";
	this.cid = "";
	this.type = "";
	this.size = "";
	this.virus = "0";
	this.comment = "0";
	this.desc = "";
}

function InitGougouStringInfo(sXmlText)
{
	var xmlDoc;
	xmlDoc = InitXml();
	
	LoadStringXml(xmlDoc, sXmlText);
	GetXmlGougouInfo(xmlDoc);
}


function InitGougouInfo(sXml)
{
	CommonLoad();
	var xmlDoc;
	xmlDoc = InitXml();
	
	LoadXml(xmlDoc, sXml);
	GetXmlGougouInfo(xmlDoc);
}

function GetXmlGougouInfo(xmlDoc)
{
/*
	var currNode = xmlDoc.documentElement.childNodes[0];
	var node, nodeTmp;

	node = xmlDoc.documentElement.selectSingleNode("//search_result");
	for(var i = 0; i < node.childNodes.length; ++i)
	{
		currNode = node.childNodes[i];
		if (currNode.nodeName.substr(0, "soft".length) == "soft")
		{
			var softwarename;
			var gougouarr = new Array;
		for(var j = 0; j < currNode.childNodes.length; ++j)
			{
				switch(currNode.childNodes[j].nodeName)
				{
				case "name":
					softwarename = currNode.childNodes[j].text;
					break;
				case "result":
					{
						var tmpnode = currNode.childNodes[j];
						var info  = new GougouInfo();
						for(var k = 0; k < tmpnode.childNodes.length; ++k)
						{
							switch(tmpnode.childNodes[k].nodeName)
							{
							case "name":
								info.name = tmpnode.childNodes[k].text;
								break;
							case "cid":
								info.cid = tmpnode.childNodes[k].text;
								break;
							case "type":
								info.type = tmpnode.childNodes[k].text;
								break;
							case "size":
								info.size = tmpnode.childNodes[k].text;
								break;
							case "virus":
								info.virus = tmpnode.childNodes[k].text;
								break;
							case "comment":
								info.comment = tmpnode.childNodes[k].text;
								break;
							case "desc":
								info.desc = tmpnode.childNodes[k].text;
								break;
							}
						}
						gougouarr.push(info);
						break;
					}
				}
			}
			g_arrSoftGougouInfo[softwarename] = gougouarr;
		}
	}
*/
return;
}

function InstallByCID(displayname,name,ext,size,cid)
{
	//ʹʱظ
	if(cid.length < 4)
	{
		return;
	}
	var index = "";
	for(var i = 0; i < 4; i ++)
	{
		index += cid.charCodeAt(i);
	}
	if(typeof(external) != "undefined" && typeof(external.StartDown) != "undefined")
	{
		external.AddDownInfo(index, "DisplayName", displayname);
		external.AddDownInfo(index, "FileName",    name + "." + ext);
		external.AddDownInfo(index, "size",        size);
		external.AddDownInfo(index, "CID",         cid);
	}
	StartInstall();
}
