var XML = {};
XML.Parser = {
	parseFromString: function(xmlStr, ignoreWhite){
/*		if (Browser.isFireFox && (isUndef(ignoreWhite) ? true : ignoreWhite)){
			var reg = /<!\[CDATA\[(.*?)\]\]>/ig;
			var reg2 = /<!\[CDATA\[\.\]\]>/i;
			var ret = $A(xmlStr.match(reg));
			xmlStr = xmlStr.replace(reg, "<![CDATA[.]]>").replace(/>\s+?</g, "><");
			for (var i=0; i<ret.length; i++){
				xmlStr = xmlStr.replace(reg2, ret[i]);
			}			
		}*/
		
		var xmlDoc = null;
		try{
			if (window.DOMParser){
				xmlDoc = new DOMParser().parseFromString(xmlStr, "text/xml");
				return xmlDoc;
			}else{
				var XMLDOM = ["MSXML4.DOMDocument",
							   "MSXML3.DOMDocument",
							   "MSXML2.DOMDocument",
							   "MSXML.DOMDocument",
							   "Microsoft.XmlDom"];
				var parser = null;
				for (var i=0; i<XMLDOM.length; i++){
					try{
						parser = new ActiveXObject(XMLDOM[i]);
						break;
					}catch(e){}
				}
				if (!parser) throw "init dom parser error!";
				parser.loadXML(xmlStr);
				return parser;
			}
		}catch(e){ 
			//alert(isString(e) ? e : e.message);	
		}
		return null;
	},
	
	parseToObject: function(xmlDoc){
		var isTextNode = function(node){
			return (null!=node)&&(node.nodeType == 3 || node.nodeType == 4);
		};
		var parse = function(element){
			if (isTextNode(element))
				throw "xml format error!";
									
			var obj = {};
			for (var i=0; i<element.attributes.length; i++){
				var attr = element.attributes[i];
				obj[attr.nodeName] = attr.nodeValue;
			}
			
			if (!element.hasChildNodes())
				return obj;
			
			for (var i=0; i<element.childNodes.length; i++){
				var child = element.childNodes[i];
				if (isTextNode(child))
					return child.nodeValue;
								
				var node = obj[child.nodeName];
				var result = parse(child);				
				if (isUndef(node)) obj[child.nodeName] = result;
				else{
					isArray(node) ? obj[child.nodeName].push(result) 
						: (obj[child.nodeName] = [node, result]);
				}				
			}
						
			return obj;
		}
		return parse(xmlDoc.documentElement);
	}
}
