var $A = function(iterable){
	if (!iterable) 
		return [];
	if (iterable.toArray)
    	return iterable.toArray();
	if (isString(iterable) || isUndef(iterable.length))
		return [iterable];
		
	var results = [];
	for (var i=0; i<iterable.length; i++)
		results.push(iterable[i]);
	return results;
}

/*
if (!Array.prototype.push){
	Array.prototype.push = function(){
		var len = this.length; 
		for (var i=0; i<arguments.length; i++) { 
			this[len + i] = arguments[i]; 
		} 
		return this.length; 
	}
}

if (!Array.prototype.pop){
	Array.prototype.pop = function(){
		var returnValue = this[this.length - 1]; 
		this.length--; 
		return returnValue; 
	}
}

if (!Array.prototype.splice){
	Array.prototype.splice = function(start, deleteCount){
		var len = arguments.length - 2; 
		var returnValue = this.slice(start); 
		for (var i = 0; i < len; i++) { 
			this[start + i] = arguments[i + 2]; 
		} 
		for (var i = 0; i < returnValue.length - deleteCount; i++) { 
			this[start + len + i] = returnValue[deleteCount + i]; 
		} 
		this.length = start + len + returnValue.length - deleteCount; 
		returnValue.length = deleteCount; 
		return returnValue; 	
	}
}

Class.extend(Array.prototype, Enumerable);
Class.extend(Array.prototype, {
	_each: function(iterator){
		for (var i=0; i<this.length; i++)
			iterator(this[i]);
	},

	indexOf: function(element){
		var index = -1;
		this.each(Delegate.create(this, function(value, i){
			if (this[i] == element){
				index = i;
				throw $break;
			}
		}));
		return index;
	},
	
	contain: function(element){
		return this.indexOf(element) != -1;
	},
	
	clear: function(){
		this.length = 0;
	},
	
	insert: function(position){
		for (var i=arguments.length-1; i>0; i--)
			this.splice(position, 0, arguments[i]);
	},
	
	remove: function(position, count){
		count = isUndef(count) ? 1 : count;
		this.splice(position, count);
	},
	
	exclude: function(element){
		var position = this.indexOf(element);
		if (position == -1)
			return;
		this.remove(position);
	},
	
	empty: function(){
		return this.length == 0;
	},
	
	first: function(){
		return this[0];
	},
	
	last: function(){
		return this[this.length - 1];
	},
	
	clone: function(){
		return this.slice(0);
	},
	
	shuffle: function(){
		var result = [];
		var source = this.clone();
		var index;
		this.each(function(){
			index = Math.floor(Math.random()*source.length);
			result.push(source[index]);
			source.remove(index);
		});
		return result;
	}	
});
*/
