if (!Function.prototype.apply){
	Function.prototype.apply = function(object, parameters){
		var parameterStrings = [];
		if (!object)	object = window;
		if (!parameters)	parameters = [];   
		for (var i=0; i<parameters.length; i++)
			parameterStrings[i] = "parameters[" + i + "]";   
		object.__apply__ = this;
		var result = eval("object.__apply__(" + parameterStrings.join(", ") + ")");
		object.__apply__ = null;
   
		return result;
	}
}

var Class = {
	create: function(){
		return function(){
			this.initialize.apply(this, arguments);
		}
	},
	
	extend: function(destination, source){
		for (property in source) {
    		destination[property] = source[property];
  		}	
		return destination;
	}
}

var Delegate = {
	create: function (obj, func){
		var f = function()	{
			var target = arguments.callee.target;
			var func = arguments.callee.func;
			return func.apply(target, arguments);
		}
		f.target = obj;
		f.func = func;
		return f;
	}
};

var isFunction = function(a){ return typeof a == "function"; };
var isNull     = function(a){ return typeof a == "object" && !a; };
var isNumber   = function(a){ return typeof a == "number" && isFinite(a);};
var isObject   = function(a){ return (a && typeof a == "object") || isFunction(a);};
var isString   = function(a){ return typeof a == "string";};
var isArray    = function(a){ return isObject(a) && a.constructor == Array; };
var isUndef    = function(a){ return typeof a == "undefined";};
var DoUnchanged= function(a){ return a;}
var DoNothing  = function(){};

var $ = function(){
	var elements = [];
	for (var i = 0; i < arguments.length; i++){
    	var element = arguments[i];
		if (isString(element))
			element = document.getElementById(element);
		
    	if (arguments.length == 1)
			return element;
    	elements.push(element);
  	}
  	return elements;
};

var $E = function(){
	var elements = [];
	for (var i=0; i<arguments.length; i++){
    	var element = arguments[i];
		if (isString(element))
			element = document.getElementsByName(element);
		
		if (arguments.length == 1)
			return element;
    	elements.push(element);
	}
	return elements;
}

var $P = function(parameter, url){
	url = url || window.location.href;
	return URL.getParameter(parameter, url);
};

