function Pager()
{
	this.m_iTotalNum = 0;
	this.m_iPageSize = 0;
	this.m_iMidPager = 0;
	this.m_sPagerSeperator = "";
	this.m_sBlankPager = "";

	this.m_iPagerNum = 0;
	this.m_iPagerBase = 0;
	this.m_iCurIndex = -1;
	this.m_sPagersId;

	this.m_funcSwitchHandler = function(){};
	this.m_funcPagerLink = function(){};
	this.m_funcCurPagerLink = function(){};

	this.m_GetPagerIndex = function(pos)
	{
		return pos + this.m_iPagerBase;
	}
	
	this.m_SwitchPage = function(pos)
	{
		var lastpage = Math.ceil(this.m_iTotalNum / this.m_iPageSize) - 1;
	
		if(pos == this.m_iCurIndex || this.m_iPagerBase + pos > lastpage)
			return false;
	
		var start, end1, end2;
	
		start = (pos + this.m_iPagerBase) * this.m_iPageSize;
		end2  = (pos + this.m_iPagerBase + 1) * this.m_iPageSize;
		if(end2 > this.m_iTotalNum)
			end1 = this.m_iTotalNum;
		else
			end1 = end2;
		this.m_funcSwitchHandler(start, end1, end2);
	
		if((pos == this.m_iPagerNum - 1) && (this.m_iPagerBase + pos != lastpage))
		{
			this.m_iPagerBase += this.m_iMidPager;
			pos = this.m_iMidPager;
		}
		if((pos == 0) && (this.m_iPagerBase + pos != 0))
		{
			this.m_iPagerBase -= this.m_iMidPager;
			pos = this.m_iMidPager;
		}
	
		var i, obj;
		for(i = 0; i < this.m_iPagerNum; ++i)
		{
			obj = document.getElementById(this.m_sPagersId + "_to_" + i);
			if(i == pos)
				obj.innerHTML = this.m_funcCurPagerLink(i);
			else if(this.m_iPagerBase + i > lastpage)
				obj.innerHTML = this.m_sBlankPager;
			else
				obj.innerHTML = this.m_funcPagerLink(i);
		}
	
		this.m_iCurIndex = pos;
	}

	this.m_InitPager = function(sId)
	{
		this.m_iPagerNum = this.m_iMidPager * 2 + 1;
		this.m_sPagersId = sId;
	
		var sHtml = "";
		for(i = 0; i < this.m_iPagerNum; ++i)
		{
			sHtml += "<span id = \"" + sId + "_to_" + i + "\"></span>"
			if(i != this.m_iPagerNum - 1)
				sHtml += this.m_sPagerSeperator;
		}
		var pagers = document.getElementById(sId);
		pagers.innerHTML = sHtml;
	
		this.m_iPagerBase = 0;
		this.m_SwitchPage(0);
	}
}

